package dev.lions.unionflow.server.api.enums.abonnement;

/**
 * Énumération des types de formules d'abonnement UnionFlow
 *
 * @author UnionFlow Team
 * @version 1.0
 * @since 2025-01-10
 */
public enum TypeFormule {
  BASIC("Formule Basique"),
  STANDARD("Formule Standard"),
  PREMIUM("Formule Premium"),
  ENTERPRISE("Formule Entreprise");

  private final String libelle;

  TypeFormule(String libelle) {
    this.libelle = libelle;
  }

  public String getLibelle() {
    return libelle;
  }
}
